package com.arms.api.account.strategy;

import com.arms.api.account.model.AlmAccount;
import com.arms.api.serverinfo.model.vo.ServerInfoVO;
import org.springframework.stereotype.Component;

//계정전략_등록_및_실행
@Component
public class AlmSelector {

    public AlmAccount getAccount(AccountStrategy accountStrategy, String connectId) throws Exception{
        return accountStrategy.getAccount(connectId);
    }

    public AlmAccount verifyAccount(AccountStrategy accountStrategy, ServerInfoVO serverInfoVO) throws Exception{
        return accountStrategy.verifyAccount(serverInfoVO);
    }

}
